ECIES< EC, COFACTOR_OPTION, DHAES_MODE > Struct Template Reference

Elliptic Curve Integrated Encryption Scheme, AKA ECIES More...

Inheritance diagram for ECIES< EC, COFACTOR_OPTION, DHAES_MODE >:

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Additional Inherited Members

Public Types inherited from DL_ES< DL_Keys_EC< EC >, DL_KeyAgreementAlgorithm_DH< EC::Point, COFACTOR_OPTION >, DL_KeyDerivationAlgorithm_P1363< EC::Point, DHAES_MODE, P1363_KDF2< SHA1 > >, DL_EncryptionAlgorithm_Xor< HMAC< SHA1 >, DHAES_MODE >, ECIES< EC > >
typedef PK_FinalTemplate< DL_DecryptorImpl< SchemeOptions > > | Decryptor
| implements PK_Decryptor interface
typedef PK_FinalTemplate< DL_EncryptorImpl< SchemeOptions > > | Encryptor
| implements PK_Encryptor interface
Public Types inherited from DL_Keys_EC< EC >
typedef DL_PublicKey_EC< EC > | PublicKey
typedef DL_PrivateKey_EC< EC > | PrivateKey

## Detailed Description

### template<class EC, class COFACTOR_OPTION = NoCofactorMultiplication, bool DHAES_MODE = false>
struct ECIES< EC, COFACTOR_OPTION, DHAES_MODE >

Elliptic Curve Integrated Encryption Scheme, AKA ECIES

Default to (NoCofactorMultiplication and DHAES_MODE = false) for compatibilty with SEC1 and Crypto++ 4.2. The combination of (IncompatibleCofactorMultiplication and DHAES_MODE = true) is recommended for best efficiency and security.

Definition at line 329 of file eccrypto.h.

The documentation for this struct was generated from the following file:

- eccrypto.h